@import "src/@fuse/scss/fuse";

:host {

    .logo {
      width: 128px;
      margin: 32px auto;
    }

    .title {
      font-size: 20px;
      margin: 16px 0 32px 0;
    }

    form {
      width: 100%;
      text-align: left;

      mat-form-field {
        width: 100%;
      }

      mat-checkbox {
        margin: 0;
      }

      .terms {
        margin: 16px 0 32px 0;

        a {
          font-size: 16px;
          margin-left: 4px;
        }
      }

      .submit-button {
        width: 220px;
        margin: 16px auto;
        display: block;

        @include media-breakpoint('xs') {
          width: 90%;
        }
      }
    }

    .register {
      margin: 32px auto 24px auto;
      font-weight: 500;

      .text {
        margin-right: 8px;
      }
    }

    .separator {
      font-size: 15px;
      font-weight: 600;
      margin: 24px auto;
      position: relative;
      overflow: hidden;
      width: 100px;
      color: rgba(0, 0, 0, 0.54);

      .text {
        display: inline-flex;
        position: relative;
        padding: 0 8px;
        z-index: 9999;

        &:before, &:after {
          content: '';
          display: block;
          width: 30px;
          position: absolute;
          top: 10px;
          border-top: 1px solid rgba(0, 0, 0, 0.12);
        }

        &:before {
          right: 100%;
        }

        &:after {
          left: 100%;
        }
      }
    }

    button {

      &.google,
      &.facebook {
        width: 192px;
        text-transform: none;
        color: #FFFFFF;
        font-size: 13px;
      }
      &.orcid {
        background-color: #a6ce39;
        margin-bottom: 8px;
      }

      @include media-breakpoint('xs') {
        width: 80%;
      }

      &.google {
        background-color: #D73D32;
      }

      &.facebook {
        background-color: rgb(63, 92, 154);
      }
    }

}

